## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XObjectResultTreeFragProxy Class Reference

Inheritance diagram for XObjectResultTreeFragProxy:

[legend]
Collaboration diagram for XObjectResultTreeFragProxy:

[legend]
List of all members.

## Public Member Functions

- XObjectResultTreeFragProxy (const XObject &value, MemoryManagerType &theManager)
- virtual ~XObjectResultTreeFragProxy ()
- MemoryManagerType & getMemoryManager ()
- virtual XalanNode * getFirstChild () const
    Gets the first child of this node.
- virtual XalanNode * getLastChild () const
    Gets the last child of this node.
- virtual XObjectResultTreeFragProxy * cloneNode (bool deep) const
    Returns a duplicate of this node.
- virtual bool hasChildNodes () const
    This is a convenience method to allow easy determination of whether a node has any children.
- virtual XObjectResultTreeFragProxy * clone (bool deep) const

## Constructor & Destructor Documentation

XObjectResultTreeFragProxy::XObjectResultTreeFragProxy | ( | const XObject & | value,
|  | MemoryManagerType & | theManager
| ) |

virtual XObjectResultTreeFragProxy::~XObjectResultTreeFragProxy | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual XObjectResultTreeFragProxy* XObjectResultTreeFragProxy::clone | ( | bool | deep | ) | const`[virtual]`

| Reimplemented from XObjectResultTreeFragProxyBase.

virtual XObjectResultTreeFragProxy* XObjectResultTreeFragProxy::cloneNode | ( | bool | deep | ) | const`[virtual]`

Returns a duplicate of this node.

This function serves as a generic copy constructor for nodes.

The duplicate node has no parent ( `parentNode` returns `null`.).
Cloning an `Element` copies all attributes and their values, including those generated by the XML processor to represent defaulted attributes, but this method does not copy any text it contains unless it is a deep clone, since the text is contained in a child `Text` node. Cloning any other type of node simply returns a copy of this node.

Parameters:

  deep | If `true`, recursively clone the subtree under the specified node; if `false`, clone only the node itself (and its attributes, if it is an `Element`).

Returns:
  The duplicate node.

Reimplemented from XObjectResultTreeFragProxyBase.

virtual XalanNode* XObjectResultTreeFragProxy::getFirstChild | ( |  | ) | const`[virtual]`

| Gets the first child of this node. If there is no such node, this returns `null`. Implements XObjectResultTreeFragProxyBase.

virtual XalanNode* XObjectResultTreeFragProxy::getLastChild | ( |  | ) | const`[virtual]`

| Gets the last child of this node. If there is no such node, this returns `null`. Implements XObjectResultTreeFragProxyBase.

MemoryManagerType& XObjectResultTreeFragProxy::getMemoryManager | ( |  | ) |

virtual bool XObjectResultTreeFragProxy::hasChildNodes | ( |  | ) | const`[virtual]`

This is a convenience method to allow easy determination of whether a node has any children.

Returns:
  `true` if the node has any children, `false` if the node has no children.

Implements XObjectResultTreeFragProxyBase.

The documentation for this class was generated from the following file:

- XObjectResultTreeFragProxy.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.